## django-oauth-toolkit 1.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/DjangoOAuthToolkit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/DjangoOAuthToolkit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/DjangoOAuthToolkit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/DjangoOAuthToolkit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## django-oauth-toolkit 0.10.0

=== debian/changelog ===
django-oauth-toolkit (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Add python(3)-pytest and python(3)-pytest-django to Build-Depends to
    allow tests to run.
  * Clean up files to allow two builds in a row.
  * git-dpm init.

 -- Michael Fladischer <fladi@debian.org>  Fri, 25 Dec 2015 14:38:48 +0100

django-oauth-toolkit (0.9.0-1) unstable; urgency=medium

  * New upstream release (Closes: #796051).
  * Add libjs-twitter-bootstrap to Depends.
  * Add a symlink to the local bootstrap CSS file as a static asset.
  * Add use_local_bootstrap.patch to replace CDN URL with a local bootstrap
    CSS file.

 -- Michael Fladischer <fladi@debian.org>  Thu, 27 Aug 2015 21:30:37 +0200

django-oauth-toolkit (0.8.1-1) unstable; urgency=low

  * Initial release (Closes: #789711).

 -- Michael Fladischer <fladi@debian.org>  Tue, 23 Jun 2015 20:47:30 +0200

=== debian/control ===
Source: django-oauth-toolkit
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-django (>= 1.6),
               python-django-braces,
               python-djangorestframework,
               python-mock,
               python-oauthlib,
               python-pytest,
               python-pytest-django,
               python-setuptools,
               python-six,
               python3-all,
               python3-django,
               python3-django-braces,
               python3-djangorestframework,
               python3-mock,
               python3-oauthlib,
               python3-pytest,
               python3-pytest-django,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Homepage: https://github.com/evonove/django-oauth-toolkit
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-oauth-toolkit.git
Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-oauth-toolkit.git

Package: python-django-oauth-toolkit
Architecture: all
Depends: libjs-twitter-bootstrap,
         python-django (>= 1.6),
         python-oauthlib,
         python-django-braces,
         python-six,
         ${misc:Depends},
         ${python:Depends}
Recommends: python-djangorestframework
Description: OAuth2 capabilities for Django projects
 Django OAuth Toolkit can help you providing out of the box all the endpoints,
 data and logic needed to add OAuth2 capabilities to your Django projects.
 Django OAuth Toolkit makes extensive use of OAuthLib, so that everything is
 rfc-compliant.

Package: python3-django-oauth-toolkit
Architecture: all
Depends: libjs-twitter-bootstrap,
         python3-django,
         python3-oauthlib,
         python3-django-braces,
         python3-six,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-djangorestframework
Description: OAuth2 capabilities for Django projects (Python3 version)
 Django OAuth Toolkit can help you providing out of the box all the endpoints,
 data and logic needed to add OAuth2 capabilities to your Django projects.
 Django OAuth Toolkit makes extensive use of OAuthLib, so that everything is
 rfc-compliant.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-oauth-toolkit

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	set -e; \
	for inst in debian/python*-django-oauth-toolkit/usr/lib/python*/*-packages/oauth2_provider; do \
		mkdir -p $$inst/static/oauth2_provider; \
		ln -s ../../../../../../share/twitter-bootstrap/files/css/bootstrap.min.css $$inst/static/oauth2_provider/bootstrap.min.css; \
	done

override_dh_installchangelogs:
	dh_installchangelogs -- docs/changelog.rst

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} runtests.py" dh_auto_test

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-oauth-toolkit-$1.tar.gz/ \
https://github.com/evonove/django-oauth-toolkit/releases \
/evonove/django-oauth-toolkit/archive/([\d\.]+)\.tar\.gz

## django-oauth-toolkit 0.11.0

=== debian/changelog ===
django-oauth-toolkit (0.11.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Michael Fladischer ]
  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Use https:// for copyright-format 1.0 URL.

 -- Michael Fladischer <fladi@debian.org>  Wed, 07 Dec 2016 17:28:13 +0100

=== debian/control ===
--- 
+++ 
@@ -25,12 +25,12 @@
                python3-pytest-django,
                python3-setuptools,
                python3-six
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: https://github.com/evonove/django-oauth-toolkit
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/django-oauth-toolkit.git
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/django-oauth-toolkit.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/django-oauth-toolkit.git
 
 Package: python-django-oauth-toolkit
 Architecture: all

## django-oauth-toolkit 1.0.0

=== debian/changelog ===
django-oauth-toolkit (1.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #865603).
  * Refresh patches after git-dpm to gbp pq conversion
  * Add python(3)-requests to Build-Depends as they are used during
    tests.
  * Add patches to fix tests for latest Django.
  * Adapt test settings to new upstream path.
  * Bump Standards-Version to 4.1.1.

 -- Michael Fladischer <fladi@debian.org>  Thu, 02 Nov 2017 16:58:18 +0100

django-oauth-toolkit (0.12.0-1~exp1) experimental; urgency=low

  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Thu, 09 Mar 2017 17:45:30 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                python-oauthlib,
                python-pytest,
                python-pytest-django,
+               python-requests,
                python-setuptools,
                python-six,
                python3-all,
@@ -23,9 +24,10 @@
                python3-oauthlib,
                python3-pytest,
                python3-pytest-django,
+               python3-requests,
                python3-setuptools,
                python3-six
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
 Homepage: https://github.com/evonove/django-oauth-toolkit

=== debian/rules ===
--- 
+++ 
@@ -20,4 +20,4 @@
 	dh_installchangelogs -- docs/changelog.rst
 
 override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} runtests.py" dh_auto_test
+	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest"

## django-oauth-toolkit 1.1.2

=== debian/changelog ===
django-oauth-toolkit (1.1.2-2) unstable; urgency=medium

  * Switch to libjs-bootstrap (Closes: #908423).
  * Clean up .pytest_cache/v/cache/nodeids to allow two builds in a row.
  * Bump Standards-Version to 4.2.1.
  * Create symlinks during dh_python2/dh_python3.

 -- Michael Fladischer <fladi@debian.org>  Sat, 22 Sep 2018 19:07:40 +0200

django-oauth-toolkit (1.1.2-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Michael Fladischer ]
  * Update project homepage URL.
  * Drop absolete patches.
  * New upstream release.
  * Re-add DJANGO_SETTINGS_MODULE patch for tox.ini.
  * Bump debhelper compatibility and version to 11.
  * Bump Standards-Version to 4.1.4.
  * Run wrap-and-sort -bast to reduce diff size of future changes.
  * Enable autopkgtest-pkg-python testsuite.
  * CONTRIBUTING.rst was renamed to CONTRIBUTING.md.

 -- Michael Fladischer <fladi@debian.org>  Fri, 01 Jun 2018 18:55:36 +0200

=== debian/control ===
Source: django-oauth-toolkit
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper (>= 11),
 dh-python,
 python-all,
 python-django (>= 1.6),
 python-django-braces,
 python-djangorestframework,
 python-mock,
 python-oauthlib,
 python-pytest,
 python-pytest-django,
 python-requests,
 python-setuptools,
 python-six,
 python3-all,
 python3-django,
 python3-django-braces,
 python3-djangorestframework,
 python3-mock,
 python3-oauthlib,
 python3-pytest,
 python3-pytest-django,
 python3-requests,
 python3-setuptools,
 python3-six,
Standards-Version: 4.2.1
Homepage: https://github.com/jazzband/django-oauth-toolkit
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-oauth-toolkit
Vcs-Git: https://salsa.debian.org/python-team/modules/django-oauth-toolkit.git
Testsuite: autopkgtest-pkg-python

Package: python-django-oauth-toolkit
Architecture: all
Depends:
 libjs-bootstrap,
 python-django (>= 1.6),
 python-django-braces,
 python-oauthlib,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Recommends:
 python-djangorestframework,
Description: OAuth2 capabilities for Django projects
 Django OAuth Toolkit can help you providing out of the box all the endpoints,
 data and logic needed to add OAuth2 capabilities to your Django projects.
 Django OAuth Toolkit makes extensive use of OAuthLib, so that everything is
 rfc-compliant.

Package: python3-django-oauth-toolkit
Architecture: all
Depends:
 libjs-bootstrap,
 python3-django,
 python3-django-braces,
 python3-oauthlib,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-djangorestframework,
Description: OAuth2 capabilities for Django projects (Python3 version)
 Django OAuth Toolkit can help you providing out of the box all the endpoints,
 data and logic needed to add OAuth2 capabilities to your Django projects.
 Django OAuth Toolkit makes extensive use of OAuthLib, so that everything is
 rfc-compliant.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-oauth-toolkit

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_python2:
	set -e; \
	for python in $(shell pyversions -r); do \
		mkdir -p debian/python-django-oauth-toolkit/usr/lib/$$python/dist-packages/oauth2_provider/static/oauth2_provider; \
		ln -s ../../../../../../share/javascript/bootstrap/css/bootstrap.min.css debian/python-django-oauth-toolkit/usr/lib/$$python/dist-packages/oauth2_provider/static/oauth2_provider/; \
	done
	dh_python2

override_dh_python3:
	dh_python3
	mkdir -p debian/python3-django-oauth-toolkit/usr/lib/python3/dist-packages/oauth2_provider/static/oauth2_provider
	ln -s ../../../../../../share/javascript/bootstrap/css/bootstrap.min.css debian/python3-django-oauth-toolkit/usr/lib/python3/dist-packages/oauth2_provider/static/oauth2_provider/

override_dh_installchangelogs:
	dh_installchangelogs -- docs/changelog.rst

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest"

## django-oauth-toolkit 1.2.0

=== debian/changelog ===
django-oauth-toolkit (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Reupload without binaries to allow migration (Closes: #934476).

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 20 Aug 2019 12:27:26 +0500

django-oauth-toolkit (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 12.
  * Clean up pytest artifacts to allow two builds in a row.

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jul 2019 22:39:52 +0200

django-oauth-toolkit (1.1.2-4) unstable; urgency=medium

  * Removed Ondrej from uploaders.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jul 2019 17:18:31 +0200

django-oauth-toolkit (1.1.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Added myself and onovy as uploaders.
  * Removed Python 2 support.
  * Standards-Version: 4.4.0.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Jul 2019 05:30:05 +0200

=== debian/control ===
Source: django-oauth-toolkit
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-django,
 python3-django-braces,
 python3-djangorestframework,
 python3-mock,
 python3-oauthlib,
 python3-pytest,
 python3-pytest-django,
 python3-requests,
 python3-setuptools,
 python3-six,
Standards-Version: 4.4.0
Homepage: https://github.com/jazzband/django-oauth-toolkit
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-oauth-toolkit
Vcs-Git: https://salsa.debian.org/python-team/modules/django-oauth-toolkit.git
Testsuite: autopkgtest-pkg-python

Package: python3-django-oauth-toolkit
Architecture: all
Depends:
 libjs-bootstrap,
 python3-django,
 python3-django-braces,
 python3-oauthlib,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-djangorestframework,
Description: OAuth2 capabilities for Django projects (Python3 version)
 Django OAuth Toolkit can help you providing out of the box all the endpoints,
 data and logic needed to add OAuth2 capabilities to your Django projects.
 Django OAuth Toolkit makes extensive use of OAuthLib, so that everything is
 rfc-compliant.
 .
 This package contains the Python 3 version of the library.

## django-oauth-toolkit 1.3.2

=== docs/requirements.txt ===
Django>=3.0,<3.1
oauthlib>=3.0.1
m2r>=0.2.1
.

=== debian/changelog ===
django-oauth-toolkit (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Michael Fladischer <fladi@debian.org>  Sun, 26 Apr 2020 20:26:29 +0200

django-oauth-toolkit (1.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Nilesh Patra ]
  * New upstream version 1.3.0 (Closes: #952172)
  * Update patch as per newer standards
  * Add upstream/metadata
  * Add "Rules-Requires-Root:no"
  * Bump standards version to 4.5.0

  [ Michael Fladischer ]
  * Clean up .pytest_cache/CACHEDIR.TAG to allow two builds in a row.
  * Tell autodep8 to use the correct import name.

 -- Michael Fladischer <fladi@debian.org>  Sun, 15 Mar 2020 10:25:02 +0100

=== debian/control ===
--- 
+++ 
@@ -19,11 +19,12 @@
  python3-requests,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/jazzband/django-oauth-toolkit
 Vcs-Browser: https://salsa.debian.org/python-team/modules/django-oauth-toolkit
 Vcs-Git: https://salsa.debian.org/python-team/modules/django-oauth-toolkit.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-django-oauth-toolkit
 Architecture: all

## django-oauth-toolkit 1.3.3

=== docs/requirements.txt ===
Django>=3.0,<3.1
oauthlib>=3.1.0
m2r>=0.2.1
.

=== debian/changelog ===
django-oauth-toolkit (1.3.3-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Refresh patches.
  * Bump debhelper version to 13.
  * Add patch to disable test which requires remote host.

 -- Michael Fladischer <fladi@debian.org>  Wed, 21 Oct 2020 21:19:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: django-oauth-toolkit
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-django,
@@ -21,8 +21,8 @@
  python3-six,
 Standards-Version: 4.5.0
 Homepage: https://github.com/jazzband/django-oauth-toolkit
-Vcs-Browser: https://salsa.debian.org/python-team/modules/django-oauth-toolkit
-Vcs-Git: https://salsa.debian.org/python-team/modules/django-oauth-toolkit.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/django-oauth-toolkit
+Vcs-Git: https://salsa.debian.org/python-team/packages/django-oauth-toolkit.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-oauth-toolkit

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	mkdir -p debian/python3-django-oauth-toolkit/usr/lib/python3/dist-packages/oauth2_provider/static/oauth2_provider
	ln -s ../../../../../../share/javascript/bootstrap/css/bootstrap.min.css debian/python3-django-oauth-toolkit/usr/lib/python3/dist-packages/oauth2_provider/static/oauth2_provider/

override_dh_installchangelogs:
	dh_installchangelogs -- docs/changelog.rst

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest"

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-oauth-toolkit-$1.tar.gz/ \
https://github.com/jazzband/django-oauth-toolkit/releases \
/jazzband/django-oauth-toolkit/archive/([\d\.]+)\.tar\.gz

## django-oauth-toolkit 1.7.0

=== docs/Makefile ===
--- 
+++ 
@@ -175,3 +175,6 @@
 	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
 	@echo
 	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
+
+livehtml:
+	sphinx-autobuild "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
django-oauth-toolkit (1.7.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-django.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 04:22:38 +0100

django-oauth-toolkit (1.7.0-1) unstable; urgency=low

  * New upstream release.
  * Add patch to not install tests subpackages.
  * Use pytest-django to specify settings module used in tests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 31 Jan 2022 08:45:40 +0000

django-oauth-toolkit (1.6.3-1) unstable; urgency=low

  * New upstream release.
  * Update year in d/copyright.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Fri, 14 Jan 2022 21:19:55 +0000

django-oauth-toolkit (1.6.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Bump Standards-Version to 4.6.0.1.
  * Depend on python3-all for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 20 Dec 2021 10:02:22 +0000

django-oauth-toolkit (1.5.0-2) unstable; urgency=low

  * Remove unnecessary autopkgtest-pkg-python testsuite.
  * Enable upstream testsuite for autopkgtests.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Mon, 04 Oct 2021 20:59:11 +0000

django-oauth-toolkit (1.5.0-1) unstable; urgency=medium

  * Fix d/watch.
  * New upstream version.
    + Refresh patches.
    + Drop 0002-Add-DJANGO_SETTINGS_MODULE-to-get-picked-up-by-pytes.patch
      (applied upstream).
    + Depend on python3-jwcrypto.
    + Configure DJANGO_SETTINGS_MODULE for tests.
    + Depend on pytest-cov, -mock, and-xdist  for tests.
  * Update 0001-Replace-CDN-URL-with-a-local-bootstrap-CSS-file.patch for
    Django 3 (renamed tag library).
  * Rewrite 0003-Disable-test-which-requires-remote-host.patch using
    unittest.skip.
  * Bump Standards-Version (no changes needed).
  * Add myself as Uploader to track in DMD.

 -- Dominik George <natureshadow@debian.org>  Thu, 30 Sep 2021 11:29:40 +0200

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
  Thomas Goirand <zigo@debian.org>,
+ Dominik George <natureshadow@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -12,18 +13,21 @@
  python3-django,
  python3-django-braces,
  python3-djangorestframework,
+ python3-jwcrypto (>= 1.0.0-2),
  python3-mock,
  python3-oauthlib,
  python3-pytest,
+ python3-pytest-cov,
  python3-pytest-django,
+ python3-pytest-mock,
+ python3-pytest-xdist,
  python3-requests,
  python3-setuptools,
  python3-six,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/jazzband/django-oauth-toolkit
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-oauth-toolkit
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-oauth-toolkit.git
-Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
 Package: python3-django-oauth-toolkit

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=django-oauth-toolkit
+export PYBUILD_TEST_ARGS=--ds tests.settings
+export PYBUILD_AFTER_TEST=rm -f {build_dir}/.coverage
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -12,6 +14,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -- docs/changelog.rst
-
-override_dh_auto_test:
-	dh_auto_test -- --system=custom --test-args="PYTHONPATH={build_dir} {interpreter} -m pytest"

## django-oauth-toolkit 2.3.0

=== docs/requirements.txt ===
Django
oauthlib>=3.1.0
m2r>=0.2.1
mistune<2
-e .

=== debian/changelog ===
django-oauth-toolkit (2.3.0-3) unstable; urgency=medium

  * Team upload
  * Remove extraneous dependencies on python3-mock & python3-six.
  * Apply Multiarch hint, make -doc package 'Multi-Arch: foreign'

 -- Alexandre Detiste <tchet@debian.org>  Mon, 15 Jan 2024 20:12:30 +0100

django-oauth-toolkit (2.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1059487)

 -- Paul Gevers <elbrus@debian.org>  Tue, 26 Dec 2023 19:24:12 +0100

django-oauth-toolkit (2.3.0-2) unstable; urgency=low

  * Build and ship documentation in python-django-oauth-toolkit-doc package.
  * Simplify d/rules by using execute_ target instead of override.
  * Add patch to remove remote image shields to prevent privacy issues.

 -- Michael Fladischer <fladi@debian.org>  Tue, 21 Nov 2023 16:22:20 +0000

django-oauth-toolkit (2.3.0-1) unstable; urgency=medium

  [ Lena Voytek ]
  * New upstream version 2.3.0 (Closes: #1052794).
  * Remove do not install test subpackage patch - fixed upstream
  * Update watch file to handle github file links

  [ Michael Fladischer ]
  * Build using pybuild-plugin-pyproject.
  * Bump Standards-Version to 4.6.2.
  * Update year in d/copyright.
  * Install testfiles using d/pybuild.testfiles.

 -- Michael Fladischer <fladi@debian.org>  Thu, 16 Nov 2023 10:34:03 +0000

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-django,
  python3-django-braces,
  python3-djangorestframework,
  python3-jwcrypto (>= 1.0.0-2),
- python3-mock,
+ python3-m2r,
  python3-oauthlib,
  python3-pytest,
  python3-pytest-cov,
@@ -23,12 +24,28 @@
  python3-pytest-xdist,
  python3-requests,
  python3-setuptools,
- python3-six,
-Standards-Version: 4.6.0.1
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+Standards-Version: 4.6.2
 Homepage: https://github.com/jazzband/django-oauth-toolkit
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-oauth-toolkit
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-oauth-toolkit.git
 Rules-Requires-Root: no
+
+Package: python-django-oauth-toolkit-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
+Description: OAuth2 capabilities for Django projects (Documentation)
+ Django OAuth Toolkit can help you providing out of the box all the endpoints,
+ data and logic needed to add OAuth2 capabilities to your Django projects.
+ Django OAuth Toolkit makes extensive use of OAuthLib, so that everything is
+ rfc-compliant.
+ .
+ This package contains the documentation.
 
 Package: python3-django-oauth-toolkit
 Architecture: all
@@ -37,11 +54,12 @@
  python3-django,
  python3-django-braces,
  python3-oauthlib,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
  python3-djangorestframework,
+Suggests:
+ python-django-oauth-toolkit-doc,
 Description: OAuth2 capabilities for Django projects (Python3 version)
  Django OAuth Toolkit can help you providing out of the box all the endpoints,
  data and logic needed to add OAuth2 capabilities to your Django projects.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-oauth-toolkit
export PYBUILD_TEST_ARGS=--ds tests.settings
export PYBUILD_AFTER_TEST=rm -f {build_dir}/.coverage

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_python3:
	mkdir -p debian/python3-django-oauth-toolkit/usr/lib/python3/dist-packages/oauth2_provider/static/oauth2_provider
	ln -s ../../../../../../share/javascript/bootstrap/css/bootstrap.min.css debian/python3-django-oauth-toolkit/usr/lib/python3/dist-packages/oauth2_provider/static/oauth2_provider/

override_dh_installchangelogs:
	dh_installchangelogs -- docs/changelog.rst


execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -N $(CURDIR)/docs/ $(CURDIR)/debian/python-django-oauth-toolkit-doc/usr/share/doc/python-django-oauth-toolkit-doc/html
endif

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/([\d\.]+)\.tar\.gz/django-oauth-toolkit-$1.tar.gz/ \
https://github.com/jazzband/django-oauth-toolkit/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## django-oauth-toolkit 2.4.0

=== docs/requirements.txt ===
Django
oauthlib>=3.1.0
m2r>=0.2.1
mistune<2
sphinx==7.2.6
sphinx-rtd-theme==1.3.0
-e .

=== tests/app/idp/requirements.txt ===
Django>=3.2,<4.2
django-cors-headers==3.14.0

-e ../../../

=== debian/changelog ===
django-oauth-toolkit (2.4.0-2) unstable; urgency=medium

  * Team upload.
  * Replace obsolete python3-m2r with python3-sphinx-mdinclude

 -- Alexandre Detiste <tchet@debian.org>  Tue, 06 Aug 2024 02:23:05 +0200

django-oauth-toolkit (2.4.0-1) unstable; urgency=low

  * New upstream version 2.4.0
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 22 May 2024 15:22:47 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-django-braces,
  python3-djangorestframework,
  python3-jwcrypto (>= 1.0.0-2),
- python3-m2r,
+ python3-sphinx-mdinclude,
  python3-oauthlib,
  python3-pytest,
  python3-pytest-cov,

## django-oauth-toolkit 3.0.1

=== docs/requirements.txt ===
Django
oauthlib>=3.2.2
m2r>=0.2.1
mistune<2
sphinx==7.2.6
sphinx-rtd-theme==1.3.0
-e .

=== tests/app/idp/requirements.txt ===
Django>=3.2,<4.2
django-cors-headers==3.14.0
django-environ==0.11.2

-e ../../../

=== debian/changelog ===
django-oauth-toolkit (3.0.1-1) unstable; urgency=low

  * New upstream version 3.0.1
  * Refresh patches.
  * Use dh-sequence-python3.
  * Bump Standards-Version to 4.7.0.

 -- Michael Fladischer <fladi@debian.org>  Wed, 11 Sep 2024 11:06:21 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Dominik George <natureshadow@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all,
  python3-django,
@@ -26,7 +26,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/jazzband/django-oauth-toolkit
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-oauth-toolkit
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-oauth-toolkit.git

## django-oauth-toolkit 3.2.0

=== tests/app/idp/requirements.txt ===
Django>=4.2,<=5.2
django-cors-headers==4.6.0
django-environ==0.12.0

-e ../../../

=== debian/changelog ===
django-oauth-toolkit (3.2.0-2) unstable; urgency=low

  * Use uscan version 5 GitHub template.
  * Drop field Priority: optional.

 -- Michael Fladischer <fladi@debian.org>  Tue, 03 Mar 2026 14:00:39 +0000

django-oauth-toolkit (3.2.0-1) unstable; urgency=low

  * New upstream version 3.2.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.3.
  * Drop Rules-Requires-Root.
  * Update year in d/copyright.
  * Use uscan version 5.
  * Switch Testsuite to autopkgtest-pkg-pybuild.

 -- Michael Fladischer <fladi@debian.org>  Fri, 23 Jan 2026 08:42:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: django-oauth-toolkit
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Michael Fladischer <fladi@debian.org>,
@@ -26,11 +25,11 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/jazzband/django-oauth-toolkit
 Vcs-Browser: https://salsa.debian.org/python-team/packages/django-oauth-toolkit
 Vcs-Git: https://salsa.debian.org/python-team/packages/django-oauth-toolkit.git
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python-django-oauth-toolkit-doc
 Section: doc

=== debian/watch ===
Version: 5
Template: GitHub
Owner: jazzband
Project: django-oauth-toolkit
